summaryrefslogtreecommitdiffstats
path: root/bin/d-i_build.sh
diff options
context:
space:
mode:
authorPhilip Hands <phil@hands.com>2016-06-15 11:39:14 +0200
committerHolger Levsen <holger@layer-acht.org>2016-06-16 22:33:03 +0200
commit2f02f9d812e16a2290138255c848adf017fce8f2 (patch)
tree5c6b87403fe1cdf8dacd2f8d3c302960363310fc /bin/d-i_build.sh
parent1390a3b4be4af9c720bcb8d189b01d6560240b48 (diff)
downloadjenkins.debian.net-2f02f9d812e16a2290138255c848adf017fce8f2.tar.xz
lvc: do plumbing to kick off lvc when a pu branch created a new miniiso
Signed-off-by: Holger Levsen <holger@layer-acht.org>
Diffstat (limited to 'bin/d-i_build.sh')
-rwxr-xr-xbin/d-i_build.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/bin/d-i_build.sh b/bin/d-i_build.sh
index 09903625..3c6540cc 100755
--- a/bin/d-i_build.sh
+++ b/bin/d-i_build.sh
@@ -91,6 +91,21 @@ preserve_pu_udebs() {
cp $WORKSPACE/../*.udeb $PU_BRANCH_DIR
}
+preserve_miniiso() {
+ #
+ # check if we built the images
+ #
+ IMAGETAR=../debian-installer-images_*.tar.gz
+ [ -f $IMAGETAR ] || return 0
+
+ TARGETGTK=/srv/d-i/isos/mini-gtk.iso
+ TARGETTEXT=/srv/d-i/isos/mini-text.iso
+
+ tar -xvzf $IMAGETAR --no-anchored mini.iso
+ mv -f installer-*/*/images/netboot/gtk/mini.iso $TARGETGTK # FIXME should probably include the data and the ARCH in the name, and if in a pu/ branch that as well
+ #mv installer-*/*/images/netboot/mini.iso $TARGETTEXT
+}
+
clean_workspace
#
# if $1 is not given, build the package normally,
@@ -99,6 +114,7 @@ clean_workspace
if [ "$1" = "" ] ; then
pdebuild_package
preserve_pu_udebs
+ preserve_miniiso
else
echo do something else ; exit 1
fi